#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Address-List
Summary:	Email::Address-List - RFC close address list parsing
Name:		perl-Email-Address-List
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0b723b59596f9dd998c35b0eb89cc935
URL:		http://search.cpan.org/dist/Email-Address-List/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parser for From, To, Cc, Bcc, Reply-To, Sender and previous prefixed
with Resent- (eg Resent-From) headers.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_vendorlib}/Email/Address
%{perl_vendorlib}/Email/Address/List.pm
%{_mandir}/man3/Email::Address::List.3pm*
%changelog
* Thu Apr 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Address-List.git;a=log;h=master

* Thu Apr 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d6f1624
- up to 0.05

* Tue Jan 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ead4182
- up to 0.03

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> abe9c41
- initial

